package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品详情实体
 * 表名 tb_cf_item_detail
 *
 * @author G
 * @date 2019-08-16 15:51:16
 */
public class TbCfItemDetailEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 商品表记录id
     */
    private String itemId;
    /**
     * 商品id，源平台的id，不一定有
     */
    private String sourceItemId;
    /**
     * 来源站点id
     */
    private String stationId;
    /**
     * 站点类型
     */
    private Integer stationType;
    /**
     * 商品名称
     */
    private String itemTitle;
    /**
     * 商品数量
     */
    private Integer itemNum;
    /**
     * 商品主图
     */
    private String itemImg;
    /**
     * 商品价格
     */
    private BigDecimal itemPrice;
    /**
     * 商品分类
     */
    private String itemCategory;
    /**
     * 商品skus
     */
    private String itemSku;
    /**
     * 所属店铺id
     */
    private String shopId;
    /**
     * 所属商铺名
     */
    private String shopName;
    /**
     * 所属商铺链接
     */
    private String shopUrl;
    /**
     * 创建时间
     */
    private Date createTime;

    private String descripitionName;

    public String getDescripitionName() {
        return descripitionName;
    }

    public void setDescripitionName(String descripitionName) {
        this.descripitionName = descripitionName;
    }

    /**
     * 设置：商品id
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * 获取：商品id
     */
    public String getItemId() {
        return itemId;
    }
    /**
     * 设置：来源站点id
     */
    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    /**
     * 获取：来源站点id
     */
    public String getStationId() {
        return stationId;
    }
    /**
     * 设置：站点类型
     */
    public void setStationType(Integer stationType) {
        this.stationType = stationType;
    }

    /**
     * 获取：站点类型
     */
    public Integer getStationType() {
        return stationType;
    }
    /**
     * 设置：商品名称
     */
    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    /**
     * 获取：商品名称
     */
    public String getItemTitle() {
        return itemTitle;
    }
    /**
     * 设置：商品数量
     */
    public void setItemNum(Integer itemNum) {
        this.itemNum = itemNum;
    }

    /**
     * 获取：商品数量
     */
    public Integer getItemNum() {
        return itemNum;
    }
    /**
     * 设置：商品主图
     */
    public void setItemImg(String itemImg) {
        this.itemImg = itemImg;
    }

    /**
     * 获取：商品主图
     */
    public String getItemImg() {
        return itemImg;
    }
    /**
     * 设置：商品价格
     */
    public void setItemPrice(BigDecimal itemPrice) {
        this.itemPrice = itemPrice;
    }

    /**
     * 获取：商品价格
     */
    public BigDecimal getItemPrice() {
        return itemPrice;
    }
    /**
     * 设置：商品分类
     */
    public void setItemCategory(String itemCategory) {
        this.itemCategory = itemCategory;
    }

    /**
     * 获取：商品分类
     */
    public String getItemCategory() {
        return itemCategory;
    }
    /**
     * 设置：商品skus
     */
    public void setItemSku(String itemSku) {
        this.itemSku = itemSku;
    }

    /**
     * 获取：商品skus
     */
    public String getItemSku() {
        return itemSku;
    }
    /**
     * 设置：所属商铺名
     */
    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    /**
     * 获取：所属商铺名
     */
    public String getShopName() {
        return shopName;
    }
    /**
     * 设置：所属商铺链接
     */
    public void setShopUrl(String shopUrl) {
        this.shopUrl = shopUrl;
    }

    /**
     * 获取：所属商铺链接
     */
    public String getShopUrl() {
        return shopUrl;
    }

    public String getSourceItemId() {
        return sourceItemId;
    }

    public void setSourceItemId(String sourceItemId) {
        this.sourceItemId = sourceItemId;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}
